Package oracle.nosql.driver.ops

# Class MultiDeleteResult

java.lang.Object
oracle.nosql.driver.ops.Result
oracle.nosql.driver.ops.MultiDeleteResult

public class MultiDeleteResult extends Result
Represents the result of a `NoSQLHandle.multiDelete(oracle.nosql.driver.ops.MultiDeleteRequest)` operation.

On a successful operation the number of rows deleted is available using `getNumDeletions()`. There is a limit to the amount of data consumed by a single call. If there are still more rows to delete, the continuation key can be get using `getContinuationKey()`.

See Also:
  - `NoSQLHandle.multiDelete(oracle.nosql.driver.ops.MultiDeleteRequest)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiDeleteResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getContinuationKey()`
  Returns the continuation key where the next MultiDelete request resume from.
  `int`
  `getNumDeletions()`
  Returns the number of rows deleted from the table.
  `int`
  `getReadKB()`
  Returns the read throughput consumed by this operation, in KBytes.
  `int`
  `getReadUnits()`
  Returns the read throughput consumed by this operation, in read units.
  `int`
  `getWriteKB()`
  Returns the write throughput consumed by this operation, in KBytes.
  `int`
  `getWriteUnits()`
  Returns the write throughput consumed by this operation, in write units.
  `String`
  `toString()`

  ### Methods inherited from class oracle.nosql.driver.ops.Result

  `getRateLimitDelayedMs, getRetryStats`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MultiDeleteResult

    public MultiDeleteResult()

- ## Method Details

  - ### getNumDeletions

    public int getNumDeletions()
    Returns the number of rows deleted from the table.
    Returns:
      the number of rows deleted

  - ### getContinuationKey

    public byte[] getContinuationKey()
    Returns the continuation key where the next MultiDelete request resume from.
    Returns:
      the continuation key, or null if there are no more rows to delete.

  - ### getReadKB

    public int getReadKB()
    Returns the read throughput consumed by this operation, in KBytes. This is the actual amount of data read by the operation. The number of read units consumed is returned by `getReadUnits()` which may be a larger number because this was an update operation.
    Returns:
      the read KBytes consumed

  - ### getWriteKB

    public int getWriteKB()
    Returns the write throughput consumed by this operation, in KBytes.
    Returns:
      the write KBytes consumed

  - ### getReadUnits

    public int getReadUnits()
    Returns the read throughput consumed by this operation, in read units. This number may be larger than that returned by `getReadKB()` because it was an update operation.
    Returns:
      the read units consumed

  - ### getWriteUnits

    public int getWriteUnits()
    Returns the write throughput consumed by this operation, in write units.
    Returns:
      the write units consumed

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`